List Projects
curl --request GET \
--url 'https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc' \
--header 'Axiom-API-Key: <api-key>'import requests
url = "https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc"
headers = {"Axiom-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Axiom-API-Key': '<api-key>'}};
fetch('https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc', options)
.then(async (res) => {
const type = res.headers.get('content-type') || '';
if (type.includes('json')) return res.json();
if (!type || type.startsWith('text/')) return res.text();
return res.blob();
})
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Axiom-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Axiom-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc")
.header("Axiom-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Axiom-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"created_at": "<string>",
"name": "<string>",
"organization_id": 123,
"highlighted_program_id": "<string>",
"highlighted_program_pinned": true,
"created_by": "<string>",
"program_count": 123,
"total_proofs_run": 123,
"last_active_at": "2023-11-07T05:31:56Z",
"is_favorite": true,
"total_usage_count": 123
}
],
"pagination": {
"total": 123,
"page": 123,
"page_size": 123,
"pages": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Program Management
List projects
List all projects for your organization with search and sorting capabilities.
Projects help organize related programs and proofs. You can search by name and sort by various criteria.
GET
/v1/projects
List Projects
curl --request GET \
--url 'https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc' \
--header 'Axiom-API-Key: <api-key>'import requests
url = "https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc"
headers = {"Axiom-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Axiom-API-Key': '<api-key>'}};
fetch('https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc', options)
.then(async (res) => {
const type = res.headers.get('content-type') || '';
if (type.includes('json')) return res.json();
if (!type || type.startsWith('text/')) return res.text();
return res.blob();
})
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Axiom-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Axiom-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc")
.header("Axiom-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axiom.xyz/v1/projects?page=1&page_size=20&sort_by=created_at&sort_direction=desc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Axiom-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"created_at": "<string>",
"name": "<string>",
"organization_id": 123,
"highlighted_program_id": "<string>",
"highlighted_program_pinned": true,
"created_by": "<string>",
"program_count": 123,
"total_proofs_run": 123,
"last_active_at": "2023-11-07T05:31:56Z",
"is_favorite": true,
"total_usage_count": 123
}
],
"pagination": {
"total": 123,
"page": 123,
"page_size": 123,
"pages": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Search projects by name or ID
Sort by: created_at, name, last_active_at, program_count, total_proofs_run
Sort direction: asc or desc
Response
application/json
Projects retrieved successfully
Not found
Validation Error
ShowHide child attributes
ShowHide child attributes